API references
Search documentation... ⌘K
API references
Merchant API

Resume a payment on a delegated terminal

Sends an in-progress payment to a child (delegated) terminal for display. The parent terminal must have a delegated_terminal_id configured.

The child terminal will receive a real-time event and navigate to the QR code screen.

Endpoint signature
This endpoint requires an API key. Read our authentication guide for more information.
POST https://api.reservepay.com/merchants/resume-payment-on-terminal HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>
{
terminal_id: string,
payment_id: string,
}
Returns: boolean
New to Reservepay? Read our guide on how to call endpoints to get started.
Request arguments
terminal_id string

Required. The ID of the parent terminal (the one that initiated the payment).

payment_id string

Required. The ID of the payment to resume on the child terminal.

Errors specific to this endpoint
NOT_FOUND

The terminal or payment could not be found.

NO_DELEGATION

The terminal has no delegated terminal configured.

NO_SESSION

No payment session found for this payment.

Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.

CODE SAMPLES
curl
Learn how to run these code samples in your terminal by reading our guide.